Bug 19331 - [QT3TS] XQDY0054/XQST0054
[QT3TS] XQDY0054/XQST0054
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite
Working drafts
PC Windows NT
: P2 normal
: ---
Assigned To: O'Neil Delpratt
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 08:43 UTC by Tim Mills
Modified: 2012-11-06 11:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-10-08 08:43:30 UTC
The replacement of XQuery 1.0's XQST0054 by XQuery 3.0's XQDY0054 requires duplication of the following tests.

 K-InternalVariablesWith-16	
 K-InternalVariablesWith-17	
 K-InternalVariablesWith-18	
 K-InternalVariablesWith-19	
 K-InternalVariablesWith-20	
 K2-InternalVariablesWithout-1	
 K2-InternalVariablesWithout-2	
 K2-InternalVariablesWithout-3	
 K2-InternalVariablesWithout-4	
 K2-InternalVariablesWithout-5	
 K2-InternalVariablesWithout-6	
 K2-InternalVariablesWithout-7	
 K2-InternalVariablesWithout-8	
 K2-InternalVariablesWithout-9

The following tests are XQ30+ tests, but have the 'old' error code.

 extvardef-011	
 extvardef-011a	
 extvardef-015	
 vardeclerr
 fn-function-lookup-613

I will take care of the change required for fn-function-lookup-613.
Comment 1 Tim Mills 2012-10-08 14:05:01 UTC
vardeclerr also has this problem.
Comment 2 O'Neil Delpratt 2012-10-08 14:58:14 UTC
Ok. I have added the test variants for the test cases speicified in comment #0

>  vardeclerr
I have introduced a new test variant with dependency on XQ30+. I have also kept the old test, but added a dependency for XQ10. 

>  fn-function-lookup-613
> I will take care of the change required for fn-function-lookup-613.
Ok seen the change.
Comment 3 Tim Mills 2012-10-10 10:05:15 UTC
Confirmed fixed.  Thanks.
Comment 4 Tim Mills 2012-10-12 11:32:07 UTC
The test extvardef-015 has been missed.  The code XQDY0107 is not used in XQuery.
Comment 5 Tim Mills 2012-11-06 11:13:52 UTC
I have taken the liberty of fixing the remaining test.